
%define upname	kirigami2

Name:		kirigami
Version:	5.51.0
Release:	%mkrel 1
Summary:	A QtQuick based components set
License:	LGPLv2
Group:		Graphical desktop/KDE5
URL:		https://techbase.kde.org/Kirigami
Source0:	http://download.kde.org/stable/kirigami/%{upname}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: libqt5core-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5qml-devel
BuildRequires: libqt5quick-devel
BuildRequires: mesa-devel

Requires:	qtquickcontrols5
Requires:	qtquickcontrols25
Provides:	%{upname} = %{version}-%{release}

%description
Kirigami is KDE’s lightweight user interface framework for mobile
and convergent applications. It allows Qt developers to easily create
applications that run on most major mobile and desktop platforms without
modification (though adapted user interfaces for different form-factors
are supported and recommended for optimal user experience). It extends
the touch-friendly Qt Quick Controls with larger application building
blocks, following the design philosophy laid out in the Kirigami Human
Interface Guidelines.

%files -f libkirigami2plugin_qt.lang
%doc README.md LICENSE*
%{_kf5_qmldir}/org/kde/kirigami.2/
%{_kf5_libdir}/libKF5Kirigami2.so.*
#--------------------------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{upname}-devel = %{version}-%{release}

%description	devel
This package contains header files needed if you wish to build
applications based on %{name}.

%files devel
%{_kf5_libdir}/cmake/KF5Kirigami2/
%{_kf5_mkspecsdir}/qt_Kirigami2.pri
%{_includedir}/KF5/Kirigami2/KirigamiPluginFactory
%{_includedir}/KF5/Kirigami2/PlatformTheme
%{_includedir}/KF5/Kirigami2/kirigami2_export.h
%{_includedir}/KF5/Kirigami2/kirigamipluginfactory.h
%{_includedir}/KF5/Kirigami2/platformtheme.h
%{_kf5_libdir}/libKF5Kirigami2.so
%{_includedir}/KF5/Kirigami2/TabletModeWatcher
%{_includedir}/KF5/Kirigami2/tabletmodewatcher.h
#--------------------------------------------------------------------

%prep
%setup -q -n %{upname}-%{version}

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang_kf5 libkirigami2plugin_qt


%changelog
* Wed Oct 24 2018 adrianomorselli <adrianomorselli> 5.51.0-1uplos2018
- update
